| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class RelOp

    java.lang.Object
      |
      +--Operator
            |
            +--RelOp

Direct Known Subclasses:
  EqualOp, GreaterEquOp, GreaterOp, LessEquOp, LessOp, NotEqualOp

public abstract class RelOp
extends Operator

Constructor Summary
`RelOp()`

Method Summary
`abstract void` | `if_codegen(ClassFile classfile, CodeAttribute code, java.lang.String type, boolean not)`

Methods inherited from class Operator
`codegen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelOp

    public RelOp()

Method Detail

### if_codegen

    public abstract void if_codegen(ClassFile classfile,
                                    CodeAttribute code,
                                    java.lang.String type,
                                    boolean not)
                             throws JVMCodeException

    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD